Bug 1840044

Summary: F32FailsToInstall: pgcli
Product: [Fedora] Fedora Reporter: Igor Raits <igor.raits>
Component: pgcliAssignee: Itamar Reis Peixoto <itamar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: dick, itamar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pgcli-3.0.0-4.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-16 01:13:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1750909    

Description Igor Raits 2020-05-26 09:45:42 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (pgcli) Fails To Install in Fedora 32:

can't install pgcli:
  - nothing provides (python3.8dist(prompt-toolkit) >= 3 with python3.8dist(prompt-toolkit) < 4) needed by pgcli-3.0.0-1.fc32.noarch
  
If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Dick Marinus 2020-07-04 19:02:46 UTC
Itamar, what should we do to fix this?

Getting prompt-toolkit updated for Fedora 32 might be too hard, I could try to create a patch to make pgcli compatible with prompt-toolkit 2?

We could also wait until prompt-toolkit 3 is available for a later version of Fedora.

Comment 2 Itamar Reis Peixoto 2020-07-06 15:58:00 UTC
(In reply to Dick Marinus from comment #1)
> Itamar, what should we do to fix this?
> 
> Getting prompt-toolkit updated for Fedora 32 might be too hard, I could try
> to create a patch to make pgcli compatible with prompt-toolkit 2?

on centos8 theres python3-prompt-toolkit 2.0.10-1.el8 , if you can make it compatible with these versions then We can package pgcli for epel too.

Comment 3 Dick Marinus 2020-07-06 19:29:50 UTC
Prompt toolkit 3 doesn't seem to be a hard (technical) requirement.

I've submitted a pull request to support prompt toolkit 2.0.6:
https://github.com/dbcli/pgcli/pull/1197

Comment 4 Fedora Update System 2020-07-07 04:33:46 UTC
FEDORA-2020-8fbc719f6e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8fbc719f6e

Comment 5 Itamar Reis Peixoto 2020-07-07 04:35:08 UTC
(In reply to Dick Marinus from comment #3)

sed -i 's#"prompt_toolkit>=.*"#"prompt_toolkit >= 2.0.6"#' setup.py

Comment 6 Fedora Update System 2020-07-08 01:48:57 UTC
FEDORA-2020-8fbc719f6e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-8fbc719f6e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8fbc719f6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-16 01:13:30 UTC
FEDORA-2020-8fbc719f6e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.